Skip to content

Hi Coactive team!

This is a sample of what your docs might look like on Starport, based on your public docs.

Take a look! Ask AI, search, the MCP server, and Markdown copies all work.

Starport is a free and open-source docs framework based on Starlight and maintained by Promptless. Promptless is the AI agent that automatically updates your customer-facing docs.

Every annual Promptless plan comes with white-glove migration to Starport, where we migrate the content, tune the result with you, and you own the repository so you're never locked in.

Book a 15-minute walkthrough

Sample migration of Coactive docs to Starport, prepared by PromptlessBook 15-minute call

Get a person by id

GET https://api.coactive.ai/api/v0/celebrity-detection/person/{person_id}
  • Authorization header (bearer token, required) — Bearer authentication of the form Bearer <token>, where token is your auth token.
  • person_id (string, required)

Successful Response

  • id (string, required) — Person ID
  • name (string, required) — Person name
  • aliases (list of string, required) — Person aliases
  • upload_ids (list of string, required) — Upload IDs of the person’s images
  • ingested_images (list of object, required) — Ingested images of the person
    • coactive_image_id (string, required)
    • dataset_id (string, required)
  • status (enum, required) — Person status
    • Allowed values: draft, active, failed, in_progress
  • created_user_id (string, required) — User ID who created the person
  • created_dt (string, required) — Date and time the person was created

Validation Error

  • detail (list of object, optional)
    • loc (list of string or integer, required)
    • msg (string, required)
    • type (string, required)

Response

{
"id": "0d73b5d4-0f1b-11ed-861d-0242ac120002",
"name": "John Doe",
"aliases": [
"John Doe",
"John Doe Jr."
],
"upload_ids": [
"0d73b5d4-0f1b-11ed-861d-0242ac120002",
"0d73b5d4-0f1b-11ed-861d-0242ac120003"
],
"ingested_images": [
{
"coactive_image_id": "0d73b5d4-0f1b-11ed-861d-0242ac120002",
"dataset_id": "0d73b5d4-0f1b-11ed-861d-0242ac120003"
}
],
"status": "active",
"created_user_id": "auth0|674fa0455c7cd29dd8e49ae3",
"created_dt": "2025-12-10T12:07:32.066180+00:00"
}

SDK Code

import requests
url = "https://api.coactive.ai/api/v0/celebrity-detection/person/person_id"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())
const url = 'https://api.coactive.ai/api/v0/celebrity-detection/person/person_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coactive.ai/api/v0/celebrity-detection/person/person_id"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
require 'uri'
require 'net/http'
url = URI("https://api.coactive.ai/api/v0/celebrity-detection/person/person_id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;
HttpResponse<String> response = Unirest.get("https://api.coactive.ai/api/v0/celebrity-detection/person/person_id")
.header("Authorization", "Bearer <token>")
.asString();
<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://api.coactive.ai/api/v0/celebrity-detection/person/person_id', [
'headers' => [
'Authorization' => 'Bearer <token>',
],
]);
echo $response->getBody();
using RestSharp;
var client = new RestClient("https://api.coactive.ai/api/v0/celebrity-detection/person/person_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
import Foundation
let headers = ["Authorization": "Bearer <token>"]
let request = NSMutableURLRequest(url: NSURL(string: "https://api.coactive.ai/api/v0/celebrity-detection/person/person_id")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error as Any)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()